it.csi.mddtools.guigen

## Interface DataWidget

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Widget
  All Known Subinterfaces:
    Calendar, CheckBox, ComboBox, HiddenValue, MapView, PlainText, RadioButtons, Slider, Table, TextArea, TextField, TreeView

      public interface DataWidget
      extends Widget

  A representation of the model object 'Data Widget'. Classe astratta dalla quale discendono tutte le classi che rappresentano widget associabili a dati (ApplicationData). Un DataWidget ha un concetto di valore del widget che rappresenta l'input inserito.

  The following features are supported:

  - `Data Type Modifier`
  - `Databinding`
  - `Data Type`
  - `Required`
  See Also:
    `GuigenPackage.getDataWidget()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppDataBinding` | `getDatabinding()` Returns the value of the 'Databinding' containment reference
    `Type` | `getDataType()` Returns the value of the 'Data Type' reference
    `java.lang.String` | `getDataTypeModifier()` Returns the value of the 'Data Type Modifier' attribute
    `boolean` | `isRequired()` Returns the value of the 'Required' attribute.
    `void` | `setDatabinding(AppDataBinding value)` Sets the value of the '`Databinding`' containment reference
    `void` | `setDataType(Type value)` Sets the value of the '`Data Type`' reference
    `void` | `setDataTypeModifier(java.lang.String value)` Sets the value of the '`Data Type Modifier`' attribute
    `void` | `setRequired(boolean value)` Sets the value of the '`Required`' attribute

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDataType

          Type getDataType()

      Returns the value of the 'Data Type' reference.

      If the meaning of the 'Data Type' attribute isn't clear, there really should be more of a description here...

      Tipo del valore atteso. Deve essere un SimpleType e deve corrispondenre con il tipo del binding eventualmente associato. Se non viene associato nessun binding, esiste comunque un binding implicito a scope USER_ACTION (sconsigliato).
      Returns:
        the value of the 'Data Type' reference.
      See Also:
        `setDataType(Type)`, `GuigenPackage.getDataWidget_DataType()`

    - #### setDataType

          void setDataType(Type value)

      Sets the value of the '`Data Type`' reference.
      Parameters:
        `value` - the new value of the 'Data Type' reference.
      See Also:
        `getDataType()`

    - #### isRequired

          boolean isRequired()

      Returns the value of the 'Required' attribute. The default value is `"false"`.

      If the meaning of the 'Required' attribute isn't clear, there really should be more of a description here...

      Configurazione di validazione che indica che il valore associato al widget è obbligatorio. Utilizzato solo nel caso di binding ad un application data non strutturato. Nel caso di binding con un field di un application data di tipo strutturato, l'eventuale constraint di obbligatorietà deve essere impostato nel ComplexType.
      Returns:
        the value of the 'Required' attribute.
      See Also:
        `setRequired(boolean)`, `GuigenPackage.getDataWidget_Required()`

    - #### setRequired

          void setRequired(boolean value)

      Sets the value of the '`Required`' attribute.
      Parameters:
        `value` - the new value of the 'Required' attribute.
      See Also:
        `isRequired()`

    - #### getDataTypeModifier

          java.lang.String getDataTypeModifier()

      Returns the value of the 'Data Type Modifier' attribute.

      If the meaning of the 'Data Type Modifier' attribute isn't clear, there really should be more of a description here...

      [[TODO: add documentation here]]
      Returns:
        the value of the 'Data Type Modifier' attribute.
      See Also:
        `setDataTypeModifier(String)`, `GuigenPackage.getDataWidget_DataTypeModifier()`

    - #### setDataTypeModifier

          void setDataTypeModifier(java.lang.String value)

      Sets the value of the '`Data Type Modifier`' attribute.
      Parameters:
        `value` - the new value of the 'Data Type Modifier' attribute.
      See Also:
        `getDataTypeModifier()`

    - #### getDatabinding

          AppDataBinding getDatabinding()

      Returns the value of the 'Databinding' containment reference.

      If the meaning of the 'Databinding' containment reference isn't clear, there really should be more of a description here...

      Il binding verso l' ApplicationData nel quale deve essere inserito il valore immesso dall'utente tramite il widget.
      Returns:
        the value of the 'Databinding' containment reference.
      See Also:
        `setDatabinding(AppDataBinding)`, `GuigenPackage.getDataWidget_Databinding()`

    - #### setDatabinding

          void setDatabinding(AppDataBinding value)

      Sets the value of the '`Databinding`' containment reference.
      Parameters:
        `value` - the new value of the 'Databinding' containment reference.
      See Also:
        `getDatabinding()`